ForceFields::MMFF::MMFFOopCollection Class Reference

`#include <Params.h>`

## Public Member Functions

const MMFFOop * | operator() (const unsigned int iAtomType, const unsigned int jAtomType, const unsigned int kAtomType, const unsigned int lAtomType)
| Looks up the parameters for a particular key and returns them. More...

## Static Public Member Functions

static MMFFOopCollection * | getMMFFOop (const bool isMMFFs=false, const std::string &mmffOop="")
| gets a pointer to the singleton MMFFOopCollection More...

## Detailed Description

Definition at line 1066 of file MMFF/Params.h.

## Member Function Documentation

## getMMFFOop()

static MMFFOopCollection* ForceFields::MMFF::MMFFOopCollection::getMMFFOop | ( | const bool | isMMFFs = `false`,
|  | const std::string & | mmffOop = `""`
| ) |  |

static

gets a pointer to the singleton MMFFOopCollection

Parameters

  mmffOop | (optional) a string with parameter data. See below for more information about this argument

Returns
  a pointer to the singleton MMFFOopCollection

Notes:

- do not delete the pointer returned here
- if the singleton MMFFOopCollection has already been instantiated and `mmffOop` is empty, the singleton will be returned.
- if `mmffOop` is empty and the singleton MMFFOopCollection has not yet been instantiated, the default parameters (from Params.cpp) will be used.
- if `mmffOop` is supplied, a new singleton will be instantiated. The current instantiation (if there is one) will be deleted.

## operator()()

const MMFFOop* ForceFields::MMFF::MMFFOopCollection::operator() | ( | const unsigned int | iAtomType,
|  | const unsigned int | jAtomType,
|  | const unsigned int | kAtomType,
|  | const unsigned int | lAtomType
| ) |  |

inline

Looks up the parameters for a particular key and returns them.

Returns
  a pointer to the MMFFOop object, NULL on failure.

Definition at line 1091 of file MMFF/Params.h.

References ForceFields::MMFF::MMFFDef::eqLevel, and ForceFields::MMFF::MMFFDefCollection::getMMFFDef().

The documentation for this class was generated from the following file:

- MMFF/Params.h